Package org.eclipse.emf.cdo.transaction

# Interface CDOTransactionContainer

All Superinterfaces:
  `CDOTransactionOpener`, `CDOViewContainer`, `CDOViewOpener`, `org.eclipse.net4j.util.container.IContainer<CDOView>`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `CDONet4jSession`, `CDOSession`, `CDOSession`, `InternalCDOSession`

public interface CDOTransactionContainer extends CDOViewContainer, CDOTransactionOpener
Can open new `transactions` and provide access to openend transactions.

Since:
  4.1
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`CDOTransaction`
`getTransaction(int viewID)`
`CDOTransaction[]`
`getTransactions()`
Returns an array of all open `transactions` of this session.
`CDOTransaction[]`
`getTransactions(CDOBranch branch)`
Returns an array of all `transactions` of this session that are open on the given branch.
`CDOTransaction`
`openTransaction()`
Opens and returns a new `transaction` on a new EMF `resource set`.
`CDOTransaction`
`openTransaction(String durableLockingID)`
Opens and returns a `transaction` on a new EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.
`CDOTransaction`
`openTransaction(CDOBranch branch)`
Opens and returns a new `transaction` on a new EMF `resource set`.
`CDOTransaction`
`openTransaction(CDOBranchPoint target)`
Opens and returns a new `transaction` on a new EMF `resource set`.
`CDOTransaction`
`openTransaction(CDOBranch branch, ResourceSet resourceSet)`
Opens and returns a new `transaction` on the given EMF `resource set`.
`CDOTransaction`
`openTransaction(ResourceSet resourceSet)`
Opens and returns a new `transaction` on the given EMF `resource set`.

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionOpener

`openTransaction, openTransaction`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewContainer

`getView, getViews, getViews, openView, openView, openView, openView, openView, openView, openView, openView`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewOpener

`openView, openView`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getTransactions

CDOTransaction[] getTransactions()
Returns an array of all open `transactions` of this session.

See Also:
  - `CDOViewContainer.openView()`
  - `openTransaction()`

### getTransactions

CDOTransaction[] getTransactions(CDOBranch branch)
Returns an array of all `transactions` of this session that are open on the given branch.

Since:
  4.2

### getTransaction

CDOTransaction getTransaction(int viewID)

Since:
  4.1

### openTransaction

CDOTransaction openTransaction(CDOBranchPoint target)
Opens and returns a new `transaction` on a new EMF `resource set`.

Since:
  4.0
See Also:
  - `openTransaction()`

### openTransaction

CDOTransaction openTransaction(CDOBranch branch, ResourceSet resourceSet)
Opens and returns a new `transaction` on the given EMF `resource set`.

Since:
  3.0
See Also:
  - `openTransaction()`

### openTransaction

CDOTransaction openTransaction(ResourceSet resourceSet)
Opens and returns a new `transaction` on the given EMF `resource set`.

Since:
  3.0
See Also:
  - `openTransaction()`

### openTransaction

CDOTransaction openTransaction(CDOBranch branch)
Opens and returns a new `transaction` on a new EMF `resource set`.

Same as calling `openTransaction(new ResourceSetImpl())`.

Since:
  3.0
See Also:
  - `openTransaction(ResourceSet)`

### openTransaction

CDOTransaction openTransaction()
Opens and returns a new `transaction` on a new EMF `resource set`.

Same as calling `openTransaction(new ResourceSetImpl())`.

See Also:
  - `openTransaction(ResourceSet)`

### openTransaction

CDOTransaction openTransaction(String durableLockingID)
Opens and returns a `transaction` on a new EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.

Same as calling `openTransaction(durableLockingID, new ResourceSetImpl())`.

Since:
  4.0
See Also:
  - `CDOTransactionOpener.openTransaction(String,ResourceSet)`